## c-evo-dh 2.0

=== Makefile ===
# Makefile for c-evo-dh

# Set temporary HOME for lazarus primary config directory
HOME=tmphome

B_MODE   ?=Release
prefix   ?= usr

# Debian uses libexec & games directories. Arch does not.
BinDir   ?= bin
LibDir   ?= lib
ShareDir ?= share/c-evo-dh
ExecDir  ?= lib

FPC-VERSION = $(shell fpc -iV)

# Cleaner build log if jobs are spearate
.NOTPARALLEL:


all: stdai c-evo-dh-gtk2

stdai: AI/StdAI/*.*
	cp -p Pascal/$(B_MODE).cfg AI/StdAI/fpc.cfg

	# Build AI module (Peephole broken in fpc <= 3.2.2)
	if [ $(FPC-VERSION) \> 3.2.2 ]; then \
		cd AI/StdAI && fpc -d$(B_MODE) -Xc -B -O3  -k-znoexecstack -olibstdai.so StdAI.lpr; \
	else \
		cd AI/StdAI && fpc -d$(B_MODE) -Xc -B -O3 -OoNOPEEPHOLE -k-znoexecstack -olibstdai.so StdAI.lpr; \
	fi

c-evo-dh-gtk2: init-build
	lazbuild --bm=$(B_MODE) -B --ws=gtk2 $(LAZDIR) --no-write-project Integrated.lpi
	mv c-evo c-evo-dh-gtk2

c-evo-dh-gtk3: init-build
	lazbuild --bm=$(B_MODE) -B --ws=gtk3 $(LAZDIR) --no-write-project Integrated.lpi
	mv c-evo c-evo-dh-gtk3

c-evo-dh-qt5: init-build
	lazbuild --bm=$(B_MODE) -B --ws=qt5  $(LAZDIR) --no-write-project Integrated.lpi
	mv c-evo c-evo-dh-qt5

c-evo-dh-qt6: init-build
	lazbuild --bm=$(B_MODE) -B --ws=qt6  $(LAZDIR) --no-write-project Integrated.lpi
	mv c-evo c-evo-dh-qt6

init-build:
	cp -p Pascal/$(B_MODE).cfg fpc.cfg
	cp -p Pascal/$(B_MODE).cfg Packages/CevoComponents/fpc.cfg
	cp -p Pascal/$(B_MODE).cfg Packages/Common/fpc.cfg


install:
	install -p -Dm 644 AI/StdAI/StdAI.ai.txt    -t "$(DESTDIR)$(prefix)/$(ShareDir)/AI/StdAI"
	install -p -Dm 644 AI/StdAI/StdAI.png       -t "$(DESTDIR)$(prefix)/$(ShareDir)/AI/StdAI"
	install -p -Dm 755 AI/StdAI/libstdai.so     -t "$(DESTDIR)$(prefix)/$(LibDir)/c-evo-dh"
	ln -s /$(prefix)/$(LibDir)/c-evo-dh/libstdai.so  $(DESTDIR)$(prefix)/$(ShareDir)/AI/StdAI/libstdai.so

	install -p -Dm 644 Graphics/*.png           -t "$(DESTDIR)$(prefix)/$(ShareDir)/Graphics"
	install -p -Dm 644 Graphics/*.jpg           -t "$(DESTDIR)$(prefix)/$(ShareDir)/Graphics"
	install -p -Dm 644 Graphics/*.grs           -t "$(DESTDIR)$(prefix)/$(ShareDir)/Graphics"
	install -p -Dm 644 Language.txt             -t "$(DESTDIR)$(prefix)/$(ShareDir)"
	install -p -Dm 644 Language2.txt            -t "$(DESTDIR)$(prefix)/$(ShareDir)"
	install -p -Dm 644 Fonts.txt                -t "$(DESTDIR)$(prefix)/$(ShareDir)"
	install -p -Dm 644 Linux/c-evo-dh.xml       -t "$(DESTDIR)$(prefix)/share/mime/packages"
	install -p -Dm 644 Desktop/c-evo-dh.svg     -t "$(DESTDIR)$(prefix)/share/icons/hicolor/scalable/apps"
	install -p -Dm 644 Help/*                   -t "$(DESTDIR)$(prefix)/$(ShareDir)/Help"
	install -p -Dm 644 Maps/*                   -t "$(DESTDIR)$(prefix)/$(ShareDir)/Maps"
	install -p -Dm 644 Sounds/*                 -t "$(DESTDIR)$(prefix)/$(ShareDir)/Sounds"
	install -p -Dm 644 Tribes/*                 -t "$(DESTDIR)$(prefix)/$(ShareDir)/Tribes"
	install -p -Dm 644 Docs/*                   -t "$(DESTDIR)$(prefix)/share/doc/c-evo-dh-data"
	find Localization -type f -exec install -Dm 644    "{}" "$(DESTDIR)$(prefix)/$(ShareDir)/{}" \;

	install -p -Dm 755 c-evo-dh-gtk2                        -t "$(DESTDIR)$(prefix)/$(ExecDir)/c-evo-dh"
	install -p -Dm 755 Linux/c-evo-launch-gtk2              -t "$(DESTDIR)$(prefix)/$(BinDir)"
	install -p -Dm 644 Linux/c-evo-dh-gtk2.metainfo.xml     -t "$(DESTDIR)$(prefix)/share/metainfo"
	install -p -Dm 644 Desktop/c-evo-dh-gtk2.desktop        -t "$(DESTDIR)$(prefix)/share/applications"
	install -p -Dm 644 Desktop/c-evo-manual-gtk2.desktop    -t "$(DESTDIR)$(prefix)/share/applications"
	install -p -Dm 644 Man/c-evo-launch-gtk2.6              -t "$(DESTDIR)$(prefix)/share/man/man6"

clean:
	rm -fr lib
	rm -fr tmphome
	rm -fr Packages/CevoComponents/lib
	rm -fr Packages/Common/lib
	rm -fr AI/StdAI/lib/

	rm -f *.o
	rm -f *.ppu
	rm -f *.res
	rm -f *.trc
	rm -f *.cfg

	rm -f AI/StdAI/*.so
	rm -f AI/StdAI/*.o
	rm -f AI/StdAI/*.ppu
	rm -f AI/StdAI/*.res
	rm -f AI/StdAI/*.s
	rm -f AI/StdAI/*.cfg

	rm -f Packages/CevoComponents/*.cfg
	rm -f Packages/CevoComponents/CevoComponents.pas
	rm -f Packages/Common/*.cfg
	rm -f c-evo-dh-gtk2
	rm -f c-evo-dh-gtk2.dbg
	rm -f c-evo-dh-gtk3
	rm -f c-evo-dh-gtk3.dbg
	rm -f c-evo-dh-qt5
	rm -f c-evo-dh-qt5.dbg
	rm -f c-evo-dh-fpgui
	rm -f c-evo-dh-fpgui.dbg

## c-evo-dh 1.7

=== debian/changelog ===
c-evo-dh (1.7-1) unstable; urgency=medium
  * New Upstream Release

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 31 Jan 2023 13:00:00 +0000

c-evo-dh (1.6.0-2) unstable; urgency=medium

  * Added Abou Al Montacir to authorized upload people.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 15 Jan 2023 14:52:20 +0100

c-evo-dh (1.6.0-1) unstable; urgency=medium
  * Initial release for Debian. Closes: #968495

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 14 Dec 2022 21:00:00 +0000

=== debian/control ===
Source: c-evo-dh
Maintainer: Peter Blackman <peter@pblackman.plus.com>
Uploaders:
 Abou Al Montacir <abou.almontacir@sfr.fr>,
Section: games
Priority: optional
Build-Depends: fpc, lcl, lcl-gtk2, libjpeg-dev, libgtk2.0-dev,
 debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://sourceforge.net/projects/c-evo-eh/
Vcs-Browser: https://salsa.debian.org/PeterB/c-evo-dh
Vcs-Git: https://salsa.debian.org/PeterB/c-evo-dh.git

Package: c-evo-dh-gtk2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, c-evo-dh-ai, c-evo-dh-data,
 ffmpeg
Suggests: sensible-utils
Description: Empire Building Game (GTK2), C-evo: Distant Horizon
 A civilization style, turn based strategy game, of the Civ II era.
 .
 With a time scope of several thousand years, it covers aspects of exploration
 and expansion, industry and agriculture, warfare and diplomacy, science and
 administration. C-evo follows the spirit of popular turn-based strategy games
 from the mid 90s, but with more emphasis on powerful AI and careful design
 of the rules, resulting in a true challenge.

Package: c-evo-dh-stdai
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: c-evo-dh-ai
Description: Empire Building Game (AI module), C-evo: Distant Horizon
 A civilization style, turn based strategy game, of the Civ II era.
 .
 This package contains the standard AI module for c-evo.
 Developers may design their own AI modules.
 http://www.c-evo.org/aidev.html
 http://www.c-evo.org/bb/viewforum.php?f=5

Package: c-evo-dh-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: dochelp, doc-base
Description: Empire Building Game (data files), C-evo: Distant Horizon
 A civilization style, turn based strategy game, of the Civ II era.
 .
 This package contains documentation, graphics,
 sound and localization data files.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS  = hardening=+all

# Set temporary HOME for lazarus primary config directory
export HOME = $(CURDIR)/tmphome
export DATA = debian/c-evo-data/usr/share/games/c-evo-dh/

# Enable ONE of the following
#export B_MODE = Debug
export B_MODE = Release

# Allow program to show version info
include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION

override_dh_auto_build:
	lazbuild -v
	echo $(DEB_VERSION)

	# Use custom fpc.cfg
	cp Pascal/$(B_MODE).cfg fpc.cfg
	cp Pascal/$(B_MODE).cfg AI/StdAI/fpc.cfg
	cp Pascal/$(B_MODE).cfg Packages/CevoComponents/fpc.cfg
	cp Pascal/$(B_MODE).cfg Packages/Common/fpc.cfg

	#
	# Build AI module (Peephole broken in fpc < 3.2.4)
	cd AI/StdAI && fpc -d$(B_MODE) -Xc -B -vm3175 -O3 -OoNOPEEPHOLE -olibstdai.so StdAI.lpr

	#
	# Build GTK2 program
	rm -fr tmphome
	rm -fr lib
	rm -fr Packages/CevoComponents/lib
	
ifeq ($(B_MODE),Debug)
	export TEXTLOG=1
endif
	
	lazbuild --bm=$(B_MODE) --ws=gtk2 --no-write-project Integrated.lpi
	mv c-evo c-evo-gtk2
	-mv c-evo.dbg c-evo-gtk2.dbg

	#
	# Build Qt5 program
#	rm -fr tmphome
#	rm -fr lib
#	rm -fr Packages/CevoComponents/lib
#	lazbuild --bm=$(B_MODE) --ws=qt5 --no-write-project Integrated.lpi
#	mv c-evo c-evo-qt5
#	-mv c-evo.dbg c-evo-qt5.dbg


override_dh_link:
	dh_link --package=c-evo-dh-stdai usr/lib/games/c-evo-dh/libstdai.so usr/share/games/c-evo-dh/AI/StdAI/libstdai.so

#Override dh_strip to preserve line numbers in stack trace
override_dh_strip:
ifneq ($(B_MODE),Debug)
	dh_strip
endif

# Not needed, clutter in build log
override_dh_strip_nondeterminism:

%:
	dh $@

## c-evo-dh 1.8

=== debian/changelog ===
c-evo-dh (1.8-1) unstable; urgency=medium
  * New Upstream Release

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 21 Feb 2023 12:00:00 +0000

## c-evo-dh 1.9

=== debian/changelog ===
c-evo-dh (1.9-1) unstable; urgency=medium
  * New Upstream Release

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 07 Sep 2023 14:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -33,10 +33,7 @@
 Description: Empire Building Game (AI module), C-evo: Distant Horizon
  A civilization style, turn based strategy game, of the Civ II era.
  .
- This package contains the standard AI module for c-evo.
- Developers may design their own AI modules.
- http://www.c-evo.org/aidev.html
- http://www.c-evo.org/bb/viewforum.php?f=5
+ This package contains the AI module for c-evo-dh.
 
 Package: c-evo-dh-data
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,13 @@
 export DEB_VERSION
 
 override_dh_auto_build:
+	# Show versions
 	lazbuild -v
 	echo $(DEB_VERSION)
+
+	# Show location of gcc support files
+	grep gcc /etc/fpc.cfg
+	dirname `gcc -print-libgcc-file-name`
 
 	# Use custom fpc.cfg
 	cp Pascal/$(B_MODE).cfg fpc.cfg
@@ -26,7 +31,7 @@
 
 	#
 	# Build AI module (Peephole broken in fpc < 3.2.4)
-	cd AI/StdAI && fpc -d$(B_MODE) -Xc -B -vm3175 -O3 -OoNOPEEPHOLE -olibstdai.so StdAI.lpr
+	cd AI/StdAI && fpc -d$(B_MODE) -Xc -B -O3 -OoNOPEEPHOLE -k-znoexecstack -k-zseparate-code -olibstdai.so StdAI.lpr
 
 	#
 	# Build GTK2 program
@@ -34,23 +39,21 @@
 	rm -fr lib
 	rm -fr Packages/CevoComponents/lib
 	
-ifeq ($(B_MODE),Debug)
-	export TEXTLOG=1
-endif
+#ifeq ($(B_MODE),Debug)
+#	export TEXTLOG=1
+#endif
 	
 	lazbuild --bm=$(B_MODE) --ws=gtk2 --no-write-project Integrated.lpi
-	mv c-evo c-evo-gtk2
-	-mv c-evo.dbg c-evo-gtk2.dbg
+	mv c-evo c-evo-dh-gtk2
+#	-mv c-evo.dbg c-evo-dh-gtk2.dbg
 
-	#
-	# Build Qt5 program
+#	# Build Qt5 program
 #	rm -fr tmphome
 #	rm -fr lib
 #	rm -fr Packages/CevoComponents/lib
 #	lazbuild --bm=$(B_MODE) --ws=qt5 --no-write-project Integrated.lpi
-#	mv c-evo c-evo-qt5
-#	-mv c-evo.dbg c-evo-qt5.dbg
-
+#	mv c-evo c-evo-dh-qt5
+#	-mv c-evo.dbg c-evo-dh-qt5.dbg
 
 override_dh_link:
 	dh_link --package=c-evo-dh-stdai usr/lib/games/c-evo-dh/libstdai.so usr/share/games/c-evo-dh/AI/StdAI/libstdai.so

## c-evo-dh 1.10

=== debian/changelog ===
c-evo-dh (1.10-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:39:43 +1100

c-evo-dh (1.10-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:06:20 +0000

c-evo-dh (1.10-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:59:55 +0000

c-evo-dh (1.10-1) unstable; urgency=medium
  * New Upstream Release, (Closes: #1055837)

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 16 Nov 2023 16:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: c-evo-dh
-Maintainer: Peter Blackman <peter@pblackman.plus.com>
-Uploaders:
- Abou Al Montacir <abou.almontacir@sfr.fr>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Peter Blackman <peter@pblackman.plus.com>
+Uploaders: Abou Al Montacir <abou.almontacir@sfr.fr>,
+ Debian Games Team <debian-devel-games@lists.debian.org>
 Section: games
 Priority: optional
 Build-Depends: fpc, lcl, lcl-gtk2, libjpeg-dev, libgtk2.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 #	export TEXTLOG=1
 #endif
 	
-	lazbuild --bm=$(B_MODE) --ws=gtk2 --no-write-project Integrated.lpi
+	lazbuild --bm=$(B_MODE) -B --ws=gtk2 --no-write-project Integrated.lpi
 	mv c-evo c-evo-dh-gtk2
 #	-mv c-evo.dbg c-evo-dh-gtk2.dbg

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://sf.net/c-evo-eh/ Source/c\-evo\-dh\_([0-9\.]*)\.orig\.tar\.xz

## c-evo-dh 1.11

=== debian/changelog ===
c-evo-dh (1.11-1) unstable; urgency=medium
  * Team maintained (Debian Games team)          (1.10-1)
  * Add -B (build all dependencies) to d/rules   (1.10-1)
  * Add shared library linker options to d/rules (1.10-1)
  * New Upstream Release
  * Update d/copyright date
  * Drop lintian override on missing man page for libexec binary
  * Strip trailing whitespace from d/c-evo-dh-gtk2.install
  * For sound, depend on mpg321 instead of ffmpeg
  * Update long description for c-evo-dh-data

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 19 Mar 2024 14:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: c-evo-dh
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Peter Blackman <peter@pblackman.plus.com>
+Maintainer: Peter Blackman <peter@pblackman.plus.com>
 Uploaders: Abou Al Montacir <abou.almontacir@sfr.fr>,
  Debian Games Team <debian-devel-games@lists.debian.org>
 Section: games
@@ -15,8 +14,8 @@
 
 Package: c-evo-dh-gtk2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, c-evo-dh-ai, c-evo-dh-data,
- ffmpeg
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ c-evo-dh-ai, c-evo-dh-data, mpg321
 Suggests: sensible-utils
 Description: Empire Building Game (GTK2), C-evo: Distant Horizon
  A civilization style, turn based strategy game, of the Civ II era.
@@ -45,4 +44,4 @@
  A civilization style, turn based strategy game, of the Civ II era.
  .
  This package contains documentation, graphics,
- sound and localization data files.
+ sound and localization data files for c-evo-dh.

## c-evo-dh 1.12

=== debian/changelog ===
c-evo-dh (1.12-1) unstable; urgency=medium
  * New Upstream Release
  * Update d/copyright
  * Use mpg123 for sound (Closes: #1067844)
  * Standards now 4.7.0 (No changes)
  * Override 32bit shared library warnings
  * Use git tags instead of tarball in d/watch

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 06 May 2024 10:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
 
 Package: c-evo-dh-gtk2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- c-evo-dh-ai, c-evo-dh-data, mpg321
+Depends: ${shlibs:Depends}, ${misc:Depends}, c-evo-dh-ai, c-evo-dh-data
+Recommends: mpg123
 Suggests: sensible-utils
 Description: Empire Building Game (GTK2), C-evo: Distant Horizon
  A civilization style, turn based strategy game, of the Civ II era.

## c-evo-dh 2.0

=== debian/changelog ===
c-evo-dh (2.0-1) unstable; urgency=medium
  * New Upstream Release (extra Tribes)
  * Add c-evo-map-gen to Suggests:
  * Update d/copyright
  * Simplify d/rules (using upstream Makefile)
  * Standards now really 4.7.0 (No changes)
  * Use Static-Built-Using for fpc/lazarus
  * Move Vcs to debian group

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 08 Jul 2024 21:38:26 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,17 @@
 Build-Depends: fpc, lcl, lcl-gtk2, libjpeg-dev, libgtk2.0-dev,
  debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://sourceforge.net/projects/c-evo-eh/
-Vcs-Browser: https://salsa.debian.org/PeterB/c-evo-dh
-Vcs-Git: https://salsa.debian.org/PeterB/c-evo-dh.git
+Vcs-Browser: https://salsa.debian.org/debian/c-evo-dh
+Vcs-Git: https://salsa.debian.org/debian/c-evo-dh.git
 
 Package: c-evo-dh-gtk2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, c-evo-dh-ai, c-evo-dh-data
 Recommends: mpg123
 Suggests: sensible-utils
+Static-Built-Using: fpc, lcl, lcl-gtk2
 Description: Empire Building Game (GTK2), C-evo: Distant Horizon
  A civilization style, turn based strategy game, of the Civ II era.
  .
@@ -39,7 +40,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Suggests: dochelp, doc-base
+Suggests: dochelp, doc-base, c-evo-map-gen
 Description: Empire Building Game (data files), C-evo: Distant Horizon
  A civilization style, turn based strategy game, of the Civ II era.
  .

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

# Enable ONE of the following
#export B_MODE = Debug
export B_MODE = Release

ifeq ($(B_MODE),Debug)
	export TEXTLOG=1
endif

export prefix   = /usr
export ShareDir = share/games/c-evo-dh
export BinDir   = games
export LibDir   = lib/games
export ExecDir  = libexec

# Allow program to show version info
include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION

execute_before_dh_auto_build:
	# Show versions
	lazbuild -v
	echo $(DEB_VERSION)

	# Show location of gcc support files
	grep gcc /etc/fpc.cfg
	dirname `gcc -print-libgcc-file-name`

#Override dh_strip to preserve line numbers in stack trace
override_dh_strip:
ifneq ($(B_MODE),Debug)
	dh_strip
endif

# Not needed, clutter in build log
override_dh_strip_nondeterminism:

%:
	dh $@

## c-evo-dh 2.1.1

=== Makefile ===
# Makefile for c-evo-dh

# Set temporary HOME for lazarus primary config directory
HOME=tmphome

B_MODE   ?= Release
prefix   ?= /usr

# Debian uses libexec & games directories. Arch does not.
BinDir   ?= /bin
LibDir   ?= /lib
ShareDir ?= /share/c-evo-dh
ExecDir  ?= /lib

FPC-VERSION = $(shell fpc -iV)

# Cleaner build log if jobs are spearate
.NOTPARALLEL:


all: stdai c-evo-dh-gtk2

stdai: AI/StdAI/*.*
	cp -p Pascal/$(B_MODE).cfg AI/StdAI/fpc.cfg

	# Build AI module (Peephole broken in fpc <= 3.2.2)
	if [ $(FPC-VERSION) \> 3.2.2 ]; then \
		cd AI/StdAI && fpc -d$(B_MODE) -Xc -B -O3  -k-znoexecstack -olibstdai.so StdAI.lpr; \
	else \
		cd AI/StdAI && fpc -d$(B_MODE) -Xc -B -O3 -OoNOPEEPHOLE -k-znoexecstack -olibstdai.so StdAI.lpr; \
	fi

c-evo-dh-gtk2: init-build
	lazbuild --bm=$(B_MODE) -B --ws=gtk2 $(LAZDIR) --no-write-project Integrated.lpi
	mv c-evo c-evo-dh-gtk2

c-evo-dh-gtk3: init-build
	lazbuild --bm=$(B_MODE) -B --ws=gtk3 $(LAZDIR) --no-write-project Integrated.lpi
	mv c-evo c-evo-dh-gtk3

c-evo-dh-qt5: init-build
	lazbuild --bm=$(B_MODE) -B --ws=qt5  $(LAZDIR) --no-write-project Integrated.lpi
	mv c-evo c-evo-dh-qt5

c-evo-dh-qt6: init-build
	lazbuild --bm=$(B_MODE) -B --ws=qt6  $(LAZDIR) --no-write-project Integrated.lpi
	mv c-evo c-evo-dh-qt6

init-build:
	# Show location of gcc support files
	grep gcc /etc/fpc.cfg
	dirname `gcc -print-libgcc-file-name`

	cp -p Pascal/$(B_MODE).cfg fpc.cfg
	cp -p Pascal/$(B_MODE).cfg Packages/CevoComponents/fpc.cfg
	cp -p Pascal/$(B_MODE).cfg Packages/Common/fpc.cfg

install: install-binary install-data

install-binary:
	install -p -Dm 755 c-evo-dh-gtk2            -t "$(DESTDIR)$(prefix)$(ExecDir)/c-evo-dh"
	install -p -Dm 755 Linux/c-evo-launch-gtk2  -t "$(DESTDIR)$(prefix)$(BinDir)"

	install -p -Dm 644 AI/StdAI/StdAI.ai.txt    -t "$(DESTDIR)$(prefix)$(ShareDir)/AI/StdAI"
	install -p -Dm 644 AI/StdAI/StdAI.png       -t "$(DESTDIR)$(prefix)$(ShareDir)/AI/StdAI"
	install -p -Dm 755 AI/StdAI/libstdai.so     -t "$(DESTDIR)$(prefix)$(LibDir)/c-evo-dh"
	ln -s $(prefix)$(LibDir)/c-evo-dh/libstdai.so "$(DESTDIR)$(prefix)$(ShareDir)/AI/StdAI/libstdai.so"

	install -p -Dm 644 Linux/c-evo-dh-gtk2.metainfo.xml   -t "$(DESTDIR)$(prefix)/share/metainfo"
	install -p -Dm 644 Desktop/c-evo-dh-gtk2.desktop      -t "$(DESTDIR)$(prefix)/share/applications"
	install -p -Dm 644 Desktop/c-evo-manual-gtk2.desktop  -t "$(DESTDIR)$(prefix)/share/applications"
	install -p -Dm 644 Man/c-evo-launch-gtk2.6            -t "$(DESTDIR)$(prefix)/share/man/man6"

install-data:
	install -p -Dm 644 Graphics/*.png           -t "$(DESTDIR)$(prefix)$(ShareDir)/Graphics"
	install -p -Dm 644 Graphics/*.jpg           -t "$(DESTDIR)$(prefix)$(ShareDir)/Graphics"
	install -p -Dm 644 Graphics/*.grs           -t "$(DESTDIR)$(prefix)$(ShareDir)/Graphics"
	install -p -Dm 644 Language.txt             -t "$(DESTDIR)$(prefix)$(ShareDir)"
	install -p -Dm 644 Language2.txt            -t "$(DESTDIR)$(prefix)$(ShareDir)"
	install -p -Dm 644 Fonts.txt                -t "$(DESTDIR)$(prefix)$(ShareDir)"
	install -p -Dm 644 Linux/c-evo-dh.xml       -t "$(DESTDIR)$(prefix)/share/mime/packages"
	install -p -Dm 644 Desktop/c-evo-dh.svg     -t "$(DESTDIR)$(prefix)/share/icons/hicolor/scalable/apps"
	install -p -Dm 644 Help/*                   -t "$(DESTDIR)$(prefix)$(ShareDir)/Help"
	install -p -Dm 644 Maps/*                   -t "$(DESTDIR)$(prefix)$(ShareDir)/Maps"
	install -p -Dm 644 Sounds/*                 -t "$(DESTDIR)$(prefix)$(ShareDir)/Sounds"
	install -p -Dm 644 Tribes/*                 -t "$(DESTDIR)$(prefix)$(ShareDir)/Tribes"
	install -p -Dm 644 Docs/*                   -t "$(DESTDIR)$(prefix)/share/doc/c-evo-dh-data"
	find Localization -type f -exec install -Dm 644    "{}" "$(DESTDIR)$(prefix)$(ShareDir)/{}" \;

clean:
	rm -fr lib
	rm -fr tmphome
	rm -fr Packages/CevoComponents/lib
	rm -fr Packages/Common/lib
	rm -fr AI/StdAI/lib/

	rm -f *.o
	rm -f *.ppu
	rm -f *.res
	rm -f *.trc
	rm -f *.cfg

	rm -f AI/StdAI/*.so
	rm -f AI/StdAI/*.o
	rm -f AI/StdAI/*.ppu
	rm -f AI/StdAI/*.res
	rm -f AI/StdAI/*.s
	rm -f AI/StdAI/*.cfg

	rm -f Packages/CevoComponents/*.cfg
	rm -f Packages/CevoComponents/CevoComponents.pas
	rm -f Packages/Common/*.cfg
	rm -f c-evo-dh-gtk2
	rm -f c-evo-dh-gtk2.dbg
	rm -f c-evo-dh-gtk3
	rm -f c-evo-dh-gtk3.dbg
	rm -f c-evo-dh-qt5
	rm -f c-evo-dh-qt5.dbg
	rm -f c-evo-dh-fpgui
	rm -f c-evo-dh-fpgui.dbg

=== debian/changelog ===
c-evo-dh (2.1.1-2) unstable; urgency=medium
  * Remove Static-Built-Using
  * Override appstream-metadata-validation-failed

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 25 Oct 2024 16:49:33 +0100

c-evo-dh (2.1.1-1) unstable; urgency=medium
  * New Upstream Release (Portuguese Tribe, tech changes)
  *  (!! Old saved game may be incompatible !!)
  * Separate d/rules targets for arch & indep

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 24 Jul 2024 11:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
  Debian Games Team <debian-devel-games@lists.debian.org>
 Section: games
 Priority: optional
-Build-Depends: fpc, lcl, lcl-gtk2, libjpeg-dev, libgtk2.0-dev,
- debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Arch: fpc, lcl, lcl-gtk2, libjpeg-dev, libgtk2.0-dev
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://sourceforge.net/projects/c-evo-eh/
@@ -17,15 +17,14 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, c-evo-dh-ai, c-evo-dh-data
 Recommends: mpg123
 Suggests: sensible-utils
-Static-Built-Using: fpc, lcl, lcl-gtk2
 Description: Empire Building Game (GTK2), C-evo: Distant Horizon
  A civilization style, turn based strategy game, of the Civ II era.
  .
- With a time scope of several thousand years, it covers aspects of exploration
- and expansion, industry and agriculture, warfare and diplomacy, science and
- administration. C-evo follows the spirit of popular turn-based strategy games
- from the mid 90s, but with more emphasis on powerful AI and careful design
- of the rules, resulting in a true challenge.
+ In this game, each player becomes the leader of a civilisation.
+ To win, the player's civilization has to be first to build a spaceship.
+ Features include a tough AI, many difficulty levels, custom design
+ of military units. Game help in Chinese, Czeck, French, German,
+ Italian, Portuguese, Spanish & Russian.
 
 Package: c-evo-dh-stdai
 Architecture: any

## c-evo-dh 2.2

=== debian/changelog ===
c-evo-dh (2.2-2) unstable; urgency=medium

  [ Alexandre Detiste ]
  * use correct email address for Games Team

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 22 Nov 2024 11:02:02 +0000

c-evo-dh (2.2-1) unstable; urgency=medium

  * New Upstream Release (Portuguese tribe, Spaceship costs & Appstream)
  *  (!! Old saved game may be incompatible !!)

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 07 Nov 2024 10:30:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: c-evo-dh
 Maintainer: Peter Blackman <peter@pblackman.plus.com>
 Uploaders: Abou Al Montacir <abou.almontacir@sfr.fr>,
- Debian Games Team <debian-devel-games@lists.debian.org>
+ Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Section: games
 Priority: optional
 Build-Depends: debhelper-compat (= 13)

## c-evo-dh 2.3

=== debian/changelog ===
c-evo-dh (2.3-1) unstable; urgency=medium

  * New Upstream Release (Inca & Maya tribes)
  * Update d/copyright

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 03 Feb 2025 09:39:41 +0000

## c-evo-dh 2.4

=== debian/changelog ===
c-evo-dh (2.4-1) unstable; urgency=medium

  * New Upstream Release (Tribe file fixes)
  * Standards now 4.7.1 (No changes)
  * Override lintian false positive on newer-standards-version

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 23 Feb 2025 17:43:49 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: fpc, lcl, lcl-gtk2, libjpeg-dev, libgtk2.0-dev
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://sourceforge.net/projects/c-evo-eh/
 Vcs-Browser: https://salsa.debian.org/debian/c-evo-dh
 Vcs-Git: https://salsa.debian.org/debian/c-evo-dh.git

## c-evo-dh 2.5

=== Makefile ===
--- 
+++ 
@@ -66,10 +66,9 @@
 	install -p -Dm 755 AI/StdAI/libstdai.so     -t "$(DESTDIR)$(prefix)$(LibDir)/c-evo-dh"
 	ln -s $(prefix)$(LibDir)/c-evo-dh/libstdai.so "$(DESTDIR)$(prefix)$(ShareDir)/AI/StdAI/libstdai.so"
 
-	install -p -Dm 644 Linux/c-evo-dh-gtk2.metainfo.xml   -t "$(DESTDIR)$(prefix)/share/metainfo"
-	install -p -Dm 644 Desktop/c-evo-dh-gtk2.desktop      -t "$(DESTDIR)$(prefix)/share/applications"
-	install -p -Dm 644 Desktop/c-evo-manual-gtk2.desktop  -t "$(DESTDIR)$(prefix)/share/applications"
-	install -p -Dm 644 Man/c-evo-launch-gtk2.6            -t "$(DESTDIR)$(prefix)/share/man/man6"
+	install -p -Dm 644 Linux/*.metainfo.xml     -t "$(DESTDIR)$(prefix)/share/metainfo"
+	install -p -Dm 644 Desktop/*-gtk2.desktop   -t "$(DESTDIR)$(prefix)/share/applications"
+	install -p -Dm 644 Man/c-evo-launch-gtk2.6  -t "$(DESTDIR)$(prefix)/share/man/man6"
 
 install-data:
 	install -p -Dm 644 Graphics/*.png           -t "$(DESTDIR)$(prefix)$(ShareDir)/Graphics"

=== debian/changelog ===
c-evo-dh (2.5-1) unstable; urgency=medium

  * New Upstream Release (Add Sioux Tribe file)
  * Standards now 4.7.2 (No changes)

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 28 Apr 2025 17:48:01 +0100

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

# Enable ONE of the following
#export B_MODE = Debug
export B_MODE = Release

ifeq ($(B_MODE),Debug)
	export TEXTLOG=1
endif

export DESTDIR  = debian/tmp
export prefix   = /usr
export ShareDir = /share/games/c-evo-dh
export BinDir   = /games
export LibDir   = /lib/games
export ExecDir  = /libexec

override_dh_auto_build-indep:
	# Nothing to do here

override_dh_auto_install-indep:
	make install-data

override_dh_auto_install-arch:
	make install-binary

#Override dh_strip to preserve line numbers in stack trace
override_dh_strip:
ifneq ($(B_MODE),Debug)
	dh_strip
endif

# Not needed, clutter in build log
override_dh_strip_nondeterminism:


%:
	dh $@

## c-evo-dh 2.7

=== debian/changelog ===
c-evo-dh (2.7-2) experimental; urgency=medium

  * Depend on Lazarus >= 4.0

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 23 Jun 2025 23:16:31 +0100

c-evo-dh (2.7-1) experimental; urgency=medium

  * New Upstream Release (Extra Sioux Tribe Cities)

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 23 Jun 2025 23:02:47 +0100

c-evo-dh (2.6-1) unreleased; urgency=medium

  * New Upstream Release (Movement bug fixes)
  * Drop mime info

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 03 Jun 2025 21:15:04 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Section: games
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: fpc, lcl, lcl-gtk2, libjpeg-dev, libgtk2.0-dev
+Build-Depends-Arch: fpc, lcl (>= 4.0), lcl-gtk2 (>= 4.0), libjpeg-dev, libgtk2.0-dev
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://sourceforge.net/projects/c-evo-eh/
 Vcs-Browser: https://salsa.debian.org/debian/c-evo-dh
 Vcs-Git: https://salsa.debian.org/debian/c-evo-dh.git

## c-evo-dh 3.0

=== Makefile ===
--- 
+++ 
@@ -77,7 +77,6 @@
 	install -p -Dm 644 Language.txt             -t "$(DESTDIR)$(prefix)$(ShareDir)"
 	install -p -Dm 644 Language2.txt            -t "$(DESTDIR)$(prefix)$(ShareDir)"
 	install -p -Dm 644 Fonts.txt                -t "$(DESTDIR)$(prefix)$(ShareDir)"
-	install -p -Dm 644 Linux/c-evo-dh.xml       -t "$(DESTDIR)$(prefix)/share/mime/packages"
 	install -p -Dm 644 Desktop/c-evo-dh.svg     -t "$(DESTDIR)$(prefix)/share/icons/hicolor/scalable/apps"
 	install -p -Dm 644 Help/*                   -t "$(DESTDIR)$(prefix)$(ShareDir)/Help"
 	install -p -Dm 644 Maps/*                   -t "$(DESTDIR)$(prefix)$(ShareDir)/Maps"

=== debian/changelog ===
c-evo-dh (3.0-1) unstable; urgency=medium

  * New Upstream Release (Update Australian & Phoenician Tribes)
  * Revert to unstable now freeze is over

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 19 Aug 2025 13:46:48 +0100

c-evo-dh (2.9-1) UNRELEASED; urgency=medium

  * New Upstream Release (Add Australian Tribe)

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 04 Aug 2025 11:27:02 +0100

c-evo-dh (2.8-1) experimental; urgency=medium

  * New Upstream Release (Add Dacian Tribe)
  * Revert versioned dependency on Lazarus

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 11 Jul 2025 19:17:09 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: games
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: fpc, lcl (>= 4.0), lcl-gtk2 (>= 4.0), libjpeg-dev, libgtk2.0-dev
+Build-Depends-Arch: fpc, lcl, lcl-gtk2, libjpeg-dev, libgtk2.0-dev
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://sourceforge.net/projects/c-evo-eh/

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,9 @@
 # Not needed, clutter in build log
 override_dh_strip_nondeterminism:
 
+override_dh_installchangelogs:
+	dh_installchangelogs -k Docs/C-evo-dh.changelog
+
 
 %:
 	dh $@

=== debian/watch ===
version=4
  opts="mode=git, pgpmode=gittag" \
  https://git.code.sf.net/p/c-evo-eh/code \
  refs/tags/@ANY_VERSION@

## c-evo-dh 3.1

=== debian/changelog ===
c-evo-dh (3.1-3) unstable; urgency=medium

  * Team upload
  * Add missing Breaks/Replaces

 -- Bastian Germann <bage@debian.org>  Tue, 17 Feb 2026 09:00:52 +0100

c-evo-dh (3.1-2) unstable; urgency=medium

  * Team upload
  * Make the -gtk2 pkg a transitional pkg

 -- Bastian Germann <bage@debian.org>  Mon, 16 Feb 2026 23:31:22 +0100

c-evo-dh (3.1-1) unstable; urgency=medium

  * New upstream version (Add Indians Tribe)
  * Remove Rules-Requires-Root
  * Update upstream metadata
  * Update d/copyright
  * Update debian/watch to Version: 5

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 28 Nov 2025 17:11:02 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,19 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: fpc, lcl, lcl-gtk2, libjpeg-dev, libgtk2.0-dev
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://sourceforge.net/projects/c-evo-eh/
 Vcs-Browser: https://salsa.debian.org/debian/c-evo-dh
 Vcs-Git: https://salsa.debian.org/debian/c-evo-dh.git
 
 Package: c-evo-dh-gtk2
+Architecture: all
+Depends: ${misc:Depends}, c-evo-dh
+Section: oldlibs
+Description: Transitional package for C-evo: Distant Horizon
+ This is a transitional package, it can be safely removed.
+
+Package: c-evo-dh
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, c-evo-dh-ai, c-evo-dh-data
 Recommends: mpg123
@@ -25,6 +31,8 @@
  Features include a tough AI, many difficulty levels, custom design
  of military units. Game help in Chinese, Czeck, French, German,
  Italian, Portuguese, Spanish & Russian.
+Breaks: c-evo-dh-gtk2 (<< 3.1-2)
+Replaces: c-evo-dh-gtk2 (<< 3.1-2)
 
 Package: c-evo-dh-stdai
 Architecture: any

=== debian/watch ===
Version: 5

Source: https://git.code.sf.net/p/c-evo-eh/code
Matching-Pattern: refs/tags/@ANY_VERSION@
Mode: git
Pgp-Mode: gittag
